classification
Title: Support for sending multipart form data
Type: enhancement Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: multipart/form-data encoding
View: 3244
Assigned To: barry Nosy List: ajaksu2, barry, hfastedge, nnorwitz, rhettinger
Priority: normal Keywords:

Created on 2003-04-26 06:37 by hfastedge, last changed 2010-01-11 03:04 by r.david.murray. This issue is now closed.

Messages (5)
msg53867 - (view) Author: Hunter Peress (hfastedge) Date: 2003-04-26 06:37
This is necessary, and simple. 

See:http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/146306
There should be 0 politics about the lack of this.

In response to this if there is some reason you cannot
include this code directly into urllib (most likely),
please tell me what I can do within the time frame of
my reply to 1 email response to get this code included
into the python libraries immediately.
msg53868 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2003-05-07 01:10
Logged In: YES 
user_id=33168

The best way to get anything included into python is to
submit a patch.  The patch needs to be complete and tested
with all source code, documentation and tests in a single
patch file.  The patch should be relative to current cvs. 
See http://www.python.org/dev/ for more information.
msg53869 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2004-01-01 06:53
Logged In: YES 
user_id=80475

Barry, what do you think about this one?
msg53870 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2004-01-12 16:49
Logged In: YES 
user_id=12800

1) I wonder whether encode_multipart_formdata() couldn't be
cobbled together more cleanly using the email package (I
haven't tried it, but it's got to have most of what you need).

2) I'm not positive urllib is the best place for it, but I'm
not sure what is.

My suggestion would be to contact the web-sig@python.org. 
It seems like the perfect thing that should be considered in
Python's next generation web support.
msg81497 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-09 21:46
Superseder: issue 3244.
History
Date User Action Args
2010-01-11 03:04:07r.david.murraysetstatus: open -> closed
resolution: duplicate
superseder: multipart/form-data encoding
stage: resolved
2009-02-09 21:46:30ajaksu2setnosy: + ajaksu2
messages: + msg81497
2003-04-26 06:37:47hfastedgecreate